TestCase
Upload blob data as an attachment to the given test case
Upload blob data (in the request body) as an attachment to the given test case, with the blob metadata specified in the query parameters
Export a BDD test case as a Gherkin feature file
Synthesizes a Gherkin .feature file from a test case using the BDD template: the test case title becomes the feature name and the stored scenarios are emitted verbatim. A feature header already present in the scenarios is kept as-is.
Export multiple BDD test cases as Gherkin feature files
Creates one Gherkin .feature file per given test case using the BDD template, in the order of the requested ids (duplicates are exported once). Fails if any of the test cases does not exist or does not use the BDD template.
Find 'TestCase' entities using the specified (body) parameters
Search for entities with the filters and arguments specified in 'DataReadParams' (see request schema), with optional mapping expansions via 'map'. Note that 'filter' should include a 'project_id' parameter if API key permissions are restricted to a single project.
Find a single 'TestCase' entity with the given id
Fetch a single entity by id - If the entity does not exist, returns a 404 error.
Update one 'TestCase' entity
Update a single existing 'TestCase' entity. Returns a full updated entity including (optional) modification metadata.
Delete a 'TestCase' by id
If the entity type supports soft-deletion this operation only soft-deletes the entity.
Find 'TestCase' entities using the specified (query) parameters
Same as POST /find, but serializing the query in the 'q' parameter instead of the request body
Create a new 'TestCase' entity
Creates a new 'TestCase' entity. Returns full entity with new id and (optional) creation metadata.
Create multiple new 'TestCase' entities
Creates multiple new 'TestCase' entities. Returns a list of new ids only.
Update multiple 'TestCase' existing entities
Updates multiple existing 'TestCase' entities. Returns a full updated entity list including (optional) modification metadata.
Delete multiple 'TestCase' entities by id
Returns the list of deleted ids. If the entity type supports soft-deletion this operation only soft-deletes the entities.
Undeletes multiple 'TestCase' entities
Undeletes multiple existing 'TestCase' entities (only if the entity type supports soft-deletion). Returns a full undeleted entity list including (optional) deletion metadata.
Undelete a 'TestCase' by id
Undeletes a single 'TestCase' entity (only if the entity type supports soft-deletion). Returns a full undeleted entity including (optional) deletion metadata.
Add/remove/update mappings between 'TestCase' entities and other entities
Adds/Removes/Updates mappings between entities (e.g. test cases, test runs, etc.) if the mapping is defined. Id values are named by entity e.g. 'testcase_id', 'testrun_id' (see request schema)